IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_worktime_insert]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_worktime_insert]
GO

   
 
CREATE trigger [dbo].[mps_worktime_insert] on [dbo].mps_worktime for insert as
begin
    declare
       @maxcard  int,
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

 declare @cmpid int 
      select top 1 @cmpid=wt_cmpid from inserted 
      exec mps_gen_calc_worktime  @cmpid 
 
    return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end